package top.r3944realms.eroticdungeongame.content.animation;

import dev.kosmx.playerAnim.api.layered.IAnimation;
import dev.kosmx.playerAnim.api.layered.ModifierLayer;
import dev.kosmx.playerAnim.minecraftApi.PlayerAnimationFactory;
import net.minecraft.client.player.AbstractClientPlayer;
import net.minecraft.resources.ResourceLocation;
import top.r3944realms.eroticdungeongame.EroticDungeon;

public class AnimationLayers {
    public static final ResourceLocation SEAT_LAYERS = EroticDungeon.rl("seat_layers");
    public static void initialize() {
        PlayerAnimationFactory.ANIMATION_DATA_FACTORY.registerFactory(SEAT_LAYERS, 40, AnimationLayers::registerPlayerAnimation);
    }
    private static IAnimation registerPlayerAnimation(AbstractClientPlayer player) {
        return new ModifierLayer<>();
    }
}
